diff --git a/src/gba/renderers/video-software.c b/src/gba/renderers/video-software.c
index 04431cfe5ee..3f7738ab13f 100644
--- a/src/gba/renderers/video-software.c
+++ b/src/gba/renderers/video-software.c
@@ -296,6 +296,7 @@ static uint16_t GBAVideoSoftwareRendererWriteVideoRegister(struct GBAVideoRender
 		value &= 0x1F1F;
 		break;
 	case REG_BLDY:
+		value &= 0x1F;
 		if (value > 0x10) {
 			value = 0x10;
 		}
